Subject: Re: Function scan FDW pushdown

From: Álvaro Herrera <[email-masked]>
Date: Tue, 5 Aug 2025 23:32:41 +0200

Hello,

On 2024-Nov-05, [email-masked] wrote:

> This is a long-overdue follow-up to the original patch.
> Note that this patch contains only the changes required for
> function scan pushdown, examples and code related to asymmetric
> join are dropped.

I've marked this as returned with feedback, as several months have
passed without a further version; the current one has a number of
gotchas, including some problematic coding detected by a compiler
warning, as well as unfinished design:

> The issue with setting newrte->functions to NIL still persists.
> [...]
> I am aware that the rte->functions will now be copied even on
> instances that don't utilize a FDW, but I don't see a way to solve it.
> Any suggestions are welcome.

Feel free to reopen this CF entry[1] once you're able to figure this out.

[1] https://commitfest.postgresql.org/patch/5470/

-- 
Álvaro Herrera        Breisgau, Deutschland  —  https://www.EnterpriseDB.com/